Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Class MappedElementDeclaration

    java.lang.Object
      org.deegree.framework.xml.schema.ElementDeclaration
          org.deegree.io.datastore.schema.MappedElementDeclaration

    public class MappedElementDeclaration

extends ElementDeclaration

Represents an annotated XML element declaration in an `MappedGMLSchema`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`MappedElementDeclaration(QualifiedName name, boolean isAbstract, TypeReference type, int minOccurs, int maxOccurs, QualifiedName substitutionGroup, Element annotationElement)` Creates a new `ElementDeclaration` instance from the given parameters.

Method Summary
`Element` | `getAnnotation()` Returns the "xs:annotation" element (which contains the mapping information).

Methods inherited from class org.deegree.framework.xml.schema.ElementDeclaration
`getMaxOccurs, getMinOccurs, getName, getSubstitutionGroup, getType, isAbstract, isSubstitutionFor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedElementDeclaration

    public MappedElementDeclaration(QualifiedName name,
                                    boolean isAbstract,
                                    TypeReference type,
                                    int minOccurs,
                                    int maxOccurs,
                                    QualifiedName substitutionGroup,
                                    Element annotationElement)

  Creates a new `ElementDeclaration` instance from the given parameters.

  Parameters:
    `name` -
    `isAbstract` -
    `type` -
    `minOccurs` -
    `maxOccurs` -
    `substitutionGroup` -
    `annotationElement` -

Method Detail

### getAnnotation

    public Element getAnnotation()

  Returns the "xs:annotation" element (which contains the mapping information).

  Returns:
    the "xs:annotation" element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org